Bug 233645 - [exp-run] devel/ruby-gems: update to 2.7.8
Summary: [exp-run] devel/ruby-gems: update to 2.7.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-29 18:48 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2018-12-03 19:55 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (ruby)
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2018-11-29 18:48:23 UTC
Update to 2.7.8

Changes:        https://github.com/rubygems/rubygems/blob/master/History.txt
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-12-02 17:10:02 UTC
Patch updated for latest ruby* updates.
Comment 2 Antoine Brodin freebsd_committer 2018-12-03 15:40:07 UTC
There was 1 new failure with the 1st version of the patch.

+ {"origin"=>"devel/rubygem-nsa-rails5", "pkgname"=>"rubygem-nsa-rails5-0.2.4_2", "phase"=>"patch", "errortype"=>"patch"}

Please double check patches before committing.
Comment 3 commit-hook freebsd_committer 2018-12-03 18:57:08 UTC
A commit references this bug:

Author: sunpoet
Date: Mon Dec  3 18:56:48 UTC 2018
New revision: 486529
URL: https://svnweb.freebsd.org/changeset/ports/486529

Log:
  Update to 2.7.8

  Changes:	https://github.com/rubygems/rubygems/blob/master/History.txt
  PR:		233645
  Exp-run by:	antoine

Changes:
  head/devel/ruby-gems/Makefile
  head/devel/ruby-gems/distinfo
  head/devel/rubygem-activesupport4/files/patch-gemspec
  head/devel/rubygem-cf-uaa-lib/files/patch-gemspec
  head/devel/rubygem-licensee/files/patch-gemspec
  head/devel/rubygem-rubygems-mirror/files/patch-gemspec
  head/devel/rubygem-travis/files/patch-gemspec
  head/devel/rubygem-tty-editor/files/patch-gemspec
  head/devel/rubygem-tty-pager/files/patch-gemspec
  head/graphics/rubygem-gitlab_emoji/files/patch-gemspec
  head/japanese/rubygem-mail-iso-2022-jp/files/patch-gemspec
  head/mail/rubygem-vmail/files/patch-gemspec
  head/net/rubygem-t/files/patch-gemspec
  head/net-im/rubygem-lita/files/patch-gemspec
  head/net-mgmt/rubygem-oxidized/files/patch-gemspec
  head/print/rubygem-prawn/files/patch-gemspec
  head/security/rubygem-omniauth/files/patch-gemspec
  head/sysutils/rubygem-fluentd/files/patch-gemspec
  head/sysutils/rubygem-puppet_forge/files/patch-gemspec
  head/www/rubygem-actioncable50/files/patch-gemspec
  head/www/rubygem-actionpack4/files/patch-gemspec
  head/www/rubygem-actionpack50/files/patch-gemspec
  head/www/rubygem-gitlab-gollum-lib/files/patch-gitlab-gollum-lib.gemspec
  head/www/rubygem-gollum/files/patch-gemspec
  head/www/rubygem-gollum-lib/files/patch-gemspec
  head/www/rubygem-kubeclient/files/patch-gemspec
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-12-03 19:55:19 UTC
Committed. Thanks!